.fondGalerie {
    background-image: url("/images/autres/Fond_petit.png");
    background-size: 100% auto;
    background-position: top center;
    padding: 100px 0 20px 0;
}

.divVideos {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 40px;
    align-items: center;
}

.divVideos iframe {
    width: 70%;
    height: auto;
    aspect-ratio: 16 / 9;
    border: none;
}

.presGalerie {
    text-align: start;
    width: 60%;
    margin: 0;
}

.videoBtn {
    display: flex;
    gap: 100px;
    justify-content: center;
    align-items: center;
}

.videoBtn button {
    padding: 10px 40px;
    background-color: black;
    color: #ededed;
    font-weight: bold;
    border: none;
    border-radius: 10px;
    transition: background-color 0.2s ease;
}

.videoBtn button:hover {
    background-color: #090909;
    cursor: pointer;
}

.swiper-container {
    background-image: url("/images/autres/Fond_petit.png");
    background-size: cover;
    width: 100%;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    padding-top: 30px;
}

.swiper {
    width: 90%;
    max-width: 1000px;
    margin-top: 50px;
    position: relative;
    padding: 0 50px;
    box-sizing: border-box;
}

.swiper-slide {
    display: flex !important;
    flex-direction: column;
    align-items: center;
    justify-content: center;
}

.swiper-wrapper {
    margin-bottom: 50px;
}

.swiper-button-next, .swiper-button-prev {
    color: #d1d1d1 !important;
    top: 50%;
    transform: translateY(-50%);
    z-index: 10;
    width: 40px;
    height: 40px;
}

.swiper-button-next {
    right: 5px !important;
}

.swiper-button-prev {
    left: 5px !important;
}

.swiper-button-next:hover, .swiper-button-prev:hover {
    color: white !important;
}

.swiper-pagination-bullet {
    background-color: #d1d1d1 !important;
}

.video-youtube {
    width: 100%;
    max-width: 900px;
    aspect-ratio: 16 / 9;
    height: auto;
    z-index: 1;
}

.divGalerie {
    width: 60%;
    margin: 100px auto 0 auto;
}

.grille-galerie {
    display: grid;
    grid-template-columns: repeat(auto-fill, minmax(250px, 1fr));
    gap: 15px;
    padding: 20px;
}

.item-photo {
    border-radius: 8px;
    overflow: hidden;
    box-shadow: 0 2px 5px rgba(0,0,0,0.1);
    transition: transform 0.3s ease;
}

.item-photo:hover {
    transform: scale(1.03);
    cursor: pointer;
}

.item-photo img {
    width: 100%;
    height: 100%;
    object-fit: cover;
    display: block;
    aspect-ratio: 1/1;
    image-rendering: -webkit-optimize-contrast; /* Pour Safari / vieux navigateurs */
    image-rendering: auto;
}

#overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.5);
    display: none;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    z-index: 10001
}

#overlayContent {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    width: 30%;
}

.overlayImg {
    width: 100%;
    height: auto;
}

.overlayDesc {
    color: white;
    font-size: 18px;
}

@media (max-width: 768px) {
    .presGalerie {
        text-align: center;
        width: 100%;
    }

    .swiper {
        width: 95%;
        padding: 0 40px;
    }

}
